Name:           perl-Config-Onion
Version:        1.007
Release:        2%{?dist}
Summary:        Layered configuration, because configs are like ogres
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/dist/Config-Onion
Source0:        https://www.cpan.org/modules/by-module/Config/Config-Onion-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
BuildRequires:  perl(base)
BuildRequires:  perl(Config::Any)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Hash::Merge::Simple)
BuildRequires:  perl(Moo)
BuildRequires:  perl(YAML)
# Tests
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)

%description
All too often, configuration is not a universal or one-time thing, yet
most configuration-handling treats it as such. Perhaps you can only load
one config file. If you can load more than one, you often have to load
all of them at the same time or each is stored completely independently,
preventing one from being able to override another. Config::Onion
changes that.

%prep
%setup -q -n Config-Onion-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README.mkdn
%license LICENSE
%{perl_vendorlib}/Config/*
%{_mandir}/man3/Config::Onion*.3pm*

%changelog
* Mon Jun 09 2025 Michal Josef Špaček <mspacek@redhat.com> - 1.007-2
- Add missing coreutils dependency.
- Improve %files section.
- Use https for source.

* Fri Dec 06 2024 Michal Josef Spacek 1.007-1
- Specfile autogenerated by cpanspec 1.78.
